clang 10.0.0git

Public Attributes | List of all members
clang::UnqualifiedId::OFI Struct Reference

`#include "clang/Sema/DeclSpec.h"`

Collaboration diagram for clang::UnqualifiedId::OFI:
[legend]

## Public Attributes
OverloadedOperatorKind | Operator
| The kind of overloaded operator. More...
unsigned | SymbolLocations [3]
| The source locations of the individual tokens that name the operator, e.g., the "new", "[", and "]" tokens in operator new []. More...

## Detailed Description

Definition at line 969 of file DeclSpec.h.

## Member Data Documentation

## ◆ Operator

OverloadedOperatorKind clang::UnqualifiedId::OFI::Operator

The kind of overloaded operator.

Definition at line 971 of file DeclSpec.h.

Referenced by clang::Declarator::isStaticMember(), and clang::UnqualifiedId::setOperatorFunctionId().

## ◆ SymbolLocations

unsigned clang::UnqualifiedId::OFI::SymbolLocations[3]

The source locations of the individual tokens that name the operator, e.g., the "new", "[", and "]" tokens in operator new [].

Different operators have different numbers of tokens in their name, up to three. Any remaining source locations in this array will be set to an invalid value for operators with fewer than three tokens.

Definition at line 980 of file DeclSpec.h.

Referenced by clang::UnqualifiedId::setOperatorFunctionId().

The documentation for this struct was generated from the following file:

- include/clang/Sema/DeclSpec.h